#!/bin/csh -f
#
#                   Author:   Joe Wulf - 20031111@19:50, Laurel, Md.
#                             Copyright (C) 1998-2003, Joe Wulf
#
# This is a nice-to-have script to accompany zlister which will allow an administrator
#   to put permissions back to the way they were.  Using this script assumes that
#   zlister has already been executed and that the file containing the filesystem
#   listing contains the correct permissions, ownership and groupship.
# Assuming those are true, zcat the filesystem listing to a flat file; then use that
#   flat filename as the argument to this script.

# $1 must be the (/path/)filename of already parsed zlister input.

echo "Now building the script of stuff to change for each file..."
rm -rf $1.FixPerms >& /dev/null
touch $1.FixPerms
awk  -f /sysadmin/zlister.bin/zlister.zbonus.FixFSPerms.awk  OutFile=$1.FixPerms $1
chmod 700 $1.FixPerms
chown   0 $1.FixPerms
chgrp   0 $1.FixPerms

echo " "
echo "($1.FixPerms) script is built."
ls -la $1.FixPerms
